QGIS Application - Feature request #7878
Windows 8 Location Provider GPS Support
2013-05-21 08:25 PM - Nathan Woodrow

Status: Open

Priority: Normal

Assignee:

Category: Unknown

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 16752
Description

In order to support Windows 8 devices with a GPS QGIS needs to access the Windows Location Provider

http://msdn.microsoft.com/en-us/library/windows/apps/hh464919.aspx

History

#1 - 2013-06-05 03:38 AM - Bill Williamson

| use a Windows tablet, Lenovo Yoga (imported), with a Garmin Glo and QGIS finds it just fine. Please explain your bug in more detail.

#2 - 2013-06-05 03:41 AM - Nathan Woodrow

This might depend on hardware. Some hardware might expose the GPS as a COM port so QGIS can see it, other may not.

#3 - 2013-06-05 03:44 AM - Nathan Woodrow

Bill if you are connecting your Garmin Glo to your tablet then it would be exposing itself via a COM port, that would be why it works. The built in GPS

devices seem to use a different setup.

#4 - 2013-11-17 09:49 PM - Miroslav Umlauf

Would be great. | tried today trial of third party software (Centrafuse Localizer) with QGIS 2.0.1, which supposed to turn Windows Location provider into

selected COM port. While running the software QGIS automatically offers in "serial device" COM1. But when trying to connect it ends up with "Failed to

connect to GPS device". Will test it further, it should work.

#5 - 2013-11-20 10:33 AM - Seb Radzimski

Miroslav try use higher COM port (4 or 5). Many users of Centrafuse Localizer have a problem on some navigation systems with GPS signal sent to COM

1. Let us know if it works!

| hope that QGIS wil work with GNSS on Windows 8 in near future:)

#6 - 2013-11-28 12:40 AM - Miroslav Umlauf

Sorry no luck. Even on other ports it is not working though some other software works. | think it is also connected to GPS driver. The build in GNSS from

Broadcom has with official driver in the readme "...for evaluation purposes only. It is NOT a production release... ...In this release, only autonomous GNSS
positioning is supported, and all the optional features are not supported yet." Well it was probably too early to expect working integrated GPS in the tablet
http://msdn.microsoft.com/en-us/library/windows/apps/hh464919.aspx

on Windows.

#7 - 2013-12-03 10:07 PM - Miroslav Umlauf
As | expected it was the crap driver from DELL. | made it work with new driver from Lenovo - 19.14.8401.4 24 Nov 2012. Unfortunately the third party paid

software Centrafuse Localizer is needed at this moment to provide GPS on com port to make it work with QGIS so hopefully you will make QGIS work with
Windows 8 Location Provider in future. Thank you and good luck.

#8 - 2014-01-30 02:24 AM - Seb Radzimski

I would like to ask if there are any chances to support Windows Location Provider in QGIS 2.2? While using Centrafuse Localizer (GPS on virtual COM)
QGIS 2.0 often looses connection without any reason (there is no problem in QGIS 1.8).
Regards!

#9 - 2014-01-30 02:43 AM - Nathan Woodrow

No this is a new feature and will have to wait until after the feature freeze.

#10 - 2014-01-30 02:59 AM - Seb Radzimski

| understand. But here is an information that Windows 8 Location Provider GPS Support will be available in QGIS 2.2 (Target version: Version 2.2.0).
Please correct me if I'm wrong :) That's why | am asking about QGIS 2.2.

#11 - 2014-01-30 03:05 AM - Nathan Woodrow

- Target version changed from Future Release - High Priority to Future Release - Nice to have

No we are in feature freeze for 2.2 now so it will have to wait until after that.

#12 - 2014-01-30 05:57 AM - Seb Radzimski

OK thanks!

I hope that Windows 8 Location Provider GPS will be supported by QGIS in near future.

#13 - 2015-09-30 07:49 PM - Simon Webster

Has this been addressed yet?

I've just tried using the internal GNSS card on two separate windows tablets, and no dice. Those same tablets are able to use a Garmin Glo via com port
(bluetooth), but that defeats the purpose of having an internal positioning receiver.

#14 - 2015-12-01 12:40 AM - Seb Radzimski

| use centrafuse localizer on windows tablets to get internal GPS signal in QGIS...
#15 - 2017-05-01 12:48 AM - Giovanni Manghi
- Easy fix? set to No

#16 - 2017-09-22 10:06 AM - Jiirgen Fischer
- Category set to Unknown
